Source: mtp
Section: utils
Priority: optional
Maintainer: UBports Developers <developers@ubports.com>
XSBC-Original-Maintainer: Thomas Voß <thomas.voss@canonical.com>
Build-Depends: debhelper-compat (= 12),
               dh-translations,
               cmake, 
               pkg-config,
               libboost-dev,
               libboost-thread-dev,
               libboost-filesystem-dev,
               libboost-test-dev,
               libandroid-properties-dev,
               libgoogle-glog-dev,
               libdbus-1-dev,
               libproperties-cpp-dev,
               libdbus-cpp-dev,
Standards-Version: 3.9.4
Homepage: https://gitlab.com/ubports/core/mtp
Vcs-Git: https://gitlab.com/ubports/core/mtp.git
Vcs-Browser: https://gitlab.com/ubports/core/mtp

Package: libmtpserver1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library for implementing MTP protocol servers - shared library
 Exposes phone storage over MTP.
 .
 This package contains the shared library for MTP.

Package: libmtpserver-dev
Section: libdevel
Architecture: any
Depends: libmtpserver1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library for implementing MTP protocol servers - development files
 Exposes phone storage over MTP. 	  
 .
 Contains header files required to develop actual services.

Package: mtp-server
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
# For usb-moded-watcher script
         python3,
         python3-gi,
         gir1.2-glib-2.0,
         gir1.2-gio-2.0,
Description: Small server implementation of MTP.
 Exposes phone storage over MTP. 	  
 .
 Contains a simple MTP server that exposes images, videos, and music.

